server.port=8081

logging.level.root=info
logging.path=D:/logs/smart-city-v2-gateway
logging.level.com.alibaba.nacos.client.naming=error
#指定服务名
spring.application.name=gateway
spring.redis.host=10.0.0.63
spring.redis.port=6379
spring.redis.database=2
spring.redis.timeout=36000
#nacos
spring.cloud.nacos.discovery.server-addr=127.0.0.1:8848

spring.cloud.gateway.discovery.locator.enabled=true
spring.cloud.gateway.discovery.locator.lowerCaseServiceId=true

spring.cloud.gateway.routes[0].id=user-auth
spring.cloud.gateway.routes[0].uri=lb://user-auth
spring.cloud.gateway.routes[0].predicates[0]=Path=/user-auth/**
spring.cloud.gateway.routes[0].filters[0]=StripPrefix=1

spring.cloud.gateway.routes[1].id=user-center
spring.cloud.gateway.routes[1].uri=lb://user-center
spring.cloud.gateway.routes[1].predicates[0]=Path=/user-center/**
spring.cloud.gateway.routes[1].filters[0]=StripPrefix=1

spring.cloud.gateway.routes[2].id=sms-water
spring.cloud.gateway.routes[2].uri=lb://sms-water
spring.cloud.gateway.routes[2].predicates[0]=Path=/sms-water/**
spring.cloud.gateway.routes[2].filters[0]=StripPrefix=1

spring.cloud.gateway.routes[3].id=uims-message
spring.cloud.gateway.routes[3].uri=lb://uims-message
spring.cloud.gateway.routes[3].predicates[0]=Path=/uims-message/**
spring.cloud.gateway.routes[3].filters[0]=StripPrefix=1

spring.cloud.gateway.routes[4].id=uims-message-socket
spring.cloud.gateway.routes[4].uri=lb:ws://uims-message
spring.cloud.gateway.routes[4].predicates[0]=Path=/uims-message/webSocket/**
spring.cloud.gateway.routes[4].filters[0]=StripPrefix=1

spring.cloud.gateway.routes[5].id=operation-manager
spring.cloud.gateway.routes[5].uri=lb://operation-manager
spring.cloud.gateway.routes[5].predicates[0]=Path=/operation-manager/**
spring.cloud.gateway.routes[5].filters[0]=StripPrefix=1

spring.cloud.gateway.routes[6].id=iot
spring.cloud.gateway.routes[6].uri=http://localhost:8090
spring.cloud.gateway.routes[6].predicates[0]=Path=/iot/api/**
spring.cloud.gateway.routes[6].filters[0]=StripPrefix=1
spring.cloud.gateway.routes[6].filters[1]=Auth

spring.cloud.gateway.routes[7].id=zoniot-charge
spring.cloud.gateway.routes[7].uri=http://zoniot-charge
spring.cloud.gateway.routes[7].predicates[0]=Path=/zoniot-charge/**
spring.cloud.gateway.routes[7].filters[0]=StripPrefix=1
spring.cloud.gateway.routes[7].filters[1]=Auth

spring.servlet.multipart.max-file-size=100MB
spring.servlet.multipart.max-request-size=100MB
